{
  title:       "DB Controls",
  description: "Graphical interface DB controls",
  version:     "1.1.1",
  dependencies: ["fcfControls"],

  public: [
    { relativeUrl: "css", path: "css" },
    { relativeUrl: "templates", path: "templates" },
  ],
  aliases: {
    "dbcontrols:table":             "fcfDBControls:templates/table.tmpl",
    "dbcontrols:form":              "fcfDBControls:templates/form.tmpl",
    "dbcontrols:removal-form":      "fcfDBControls:templates/removal-form.tmpl",
    "dbControls:externalRef-short": "fcfDBControls:templates/externalRef-short.tmpl",
    "dbControls:externalRef-edit":  "fcfDBControls:templates/externalRef-edit.tmpl",
    "dbControls:select":            "fcfDBControls:templates/select.tmpl",
    "dbControls:management":        "fcfDBControls:templates/management.tmpl",
    "dbControls:backRef-edit-full": "fcfDBControls:templates/backRef-edit-full.tmpl",
    "dbControls:backRef-read":      "fcfDBControls:templates/backRef-read.tmpl",
    "dbControls:singleRef-edit":    "fcfDBControls:templates/singleRef-edit.tmpl",
    "dbControls:singleRef-read":    "fcfDBControls:templates/singleRef-read.tmpl",
    "dbControls:list":              "fcfDBControls:templates/list.tmpl",
  },
  usageViews:{
    "backRef":{
     "read.*": { template: "@dbControls:backRef-read" },
     "edit.*": { template: "@dbControls:backRef-edit-full" },
     "add.*":  { template: "@dbControls:backRef-edit-full" },
    },
    "externalRef":{
     "read.*": { template: "@dbControls:externalRef-short" },
     "edit.*": { template: "@dbControls:externalRef-edit" },
     "add.*":  { template: "@dbControls:externalRef-edit" },
    },
    "singleRef":{
     "read.*": { template: "@dbControls:singleRef-read" },
     "edit.*": { template: "@dbControls:singleRef-edit" },
     "add.*":  { template: "@dbControls:singleRef-edit" },
    },
  },
  routes: [
    // List of routes
    // EXAMPLE:
    // {
    //   route:      "/fcfpackages/fcfManagement/fsql",
    //   controller: "fcfManagement:NController/InnerFSQL.js",
    // },
    // {
    //   route:      "/fcfpackages/fcfManagement/translate",
    //   controller: "fcf:NServer/NControllers/Page.js",
    //   source:     "fcfManagement:templates/pages/translate.tmpl",
    //   access:     { allow: ["fcf"] },
    // },
  ],

  html: {
    include: {
      // List of CSS and JS inclusion files
      // FORMAT : "<package>:<key>": "Path to file",
      // EXAMPLE: "fcfControls:css": "fcfControls:css/controls.css",
    }
  },
}
